package com.dcit.common.utils;

import java.util.Random;
import java.util.UUID;

/**
* <p>Title: KeyUtil</p>
* <p>Description: 主键序列类</p>
* <p>Company: SJZ DC-IT co. LTD</p> 
* @author ZZZ
* @date 2018年8月28日 上午11:31:25
 */
public class KeyUtil {
	
	/**
	 * 生成唯一主键（流水号） 19位 （毫秒数+6位随机数）
	 * @return
	 */
	public static synchronized String genUniqueKey(){
		Random random = new Random();
		
		Integer number = random.nextInt(900000) + 100000;
		
		return System.currentTimeMillis() + String.valueOf(number);
	}
	
	/**
	 * 字母小写的32位 UUID
	 * @return
	 */
	public static synchronized String getUUIDKey(){
		String id = UUID.randomUUID().toString();
		return id.replaceAll("-","");
	}
	
	/**
	 * 字母大写的32位 UUID
	 * @return
	 */
	public static synchronized String getUUIDUpperKey(){
		String id = UUID.randomUUID().toString().toUpperCase();
		return id.replaceAll("-","");
	}
	
	public static void main(String[] args){
		System.out.println(genUniqueKey());
		System.out.println(getUUIDKey());
		System.out.println(getUUIDUpperKey());
	}

}
